package com.example.austime;

import android.database.Cursor;
import android.database.DatabaseUtils;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;

import android.provider.ContactsContract;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.SimpleCursorAdapter;
import android.widget.Toast;

import com.example.austime.db.helper.TimerDBHelper;
import com.example.austime.model.Timer;
import com.example.austime.repository.TimerRepository;

import java.sql.Time;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.List;

public class ListTimerActivity extends AppCompatActivity {
    ListView task_list;
    List<Timer> mList;

    TimerRepository timerRepo;
    SQLiteDatabase sqliteDB;
    TimerDBHelper dbhelper;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_list_timer);
         dbhelper = new TimerDBHelper(this);

        ActionBar actionBar = getSupportActionBar();
        actionBar.setTitle("Task list");
        findByView();
        mList = new ArrayList<>();

    }
    public void findByView() {
        task_list = findViewById(R.id.task_list);
    }

    public void onDelete(View view) {
        task_list.setOnItemClickListener(new OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, android.view.View view,  int position, long id) {
                Toast.makeText(getApplicationContext(), " " + position , Toast.LENGTH_LONG).show();
                mList.remove(position);

            }
        });
        task_list.invalidateViews();
    }

    public void onAdd(View view) {
        // Lancement de l'interface d'ajout : ===> Charlene & Mira
        /*Timer timer = new Timer();
        timerRepo = new TimerRepository(this);
        timer.setTitle("Test");
        timer.setStartDate("sdsd");
        timer.setTime("sdqdqsd");
        timerRepo.addTask(timer);
        taskList();*/
    }
    public void onModify(View view) {

    }
    public  void taskList() {

        ArrayAdapter<Timer> adapter = new ArrayAdapter<Timer>(this,
                android.R.layout.simple_list_item_1, timerRepo.getAll());

        task_list.setAdapter(adapter);
    }


}
