package com.example.austime.db.contract;

import android.provider.BaseColumns;

public final class TimerDBContract {

    public TimerDBContract() {}

    public static class TimerEntry implements BaseColumns {
        public static final String TABLE_NAME = "timer";
        public static final String COLUMN_NAME_TITLE = "title";
        public static final String COLUMN_NAME_START_TIME = "start_time";
        public static final String COLUMN_NAME_END_TIME = "end_time";
        public static final String COLUMN_NAME_TIME = "time";
        public static final String COLUMN_FK_TIMER_RECURRENCE = "fk_timer_recurrence";
    }

    public static class TimerRecurrenceEntry implements BaseColumns {
        public static final String TABLE_NAME = "timer_recurrence";
        public static final String COLUMN_NAME_TITLE = "title";
        public static final String COLUMN_NAME_DATE_KEY = "date_key";
        public static final String COLUMN_NAME_DATE_VALUE = "date_value";
    }
}
